# Uses of Class
org.apache.lucene.search.suggest.tst.TernaryTreeNode

Packages that use TernaryTreeNode
Package
Description
org.apache.lucene.search.suggest.tst
Ternary Search Tree based autosuggest.

- ## Uses of TernaryTreeNode in org.apache.lucene.search.suggest.tst

  Methods in org.apache.lucene.search.suggest.tst that return TernaryTreeNode
  Modifier and Type
  Method
  Description
  `TernaryTreeNode`
  TSTAutocomplete.`insert(TernaryTreeNode currentNode, CharSequence s, Object val, int x)`
  Inserts a key in TST creating a series of Binary Search Trees at each node.
  Methods in org.apache.lucene.search.suggest.tst that return types with arguments of type TernaryTreeNode
  Modifier and Type
  Method
  Description
  `ArrayList<TernaryTreeNode>`
  TSTAutocomplete.`prefixCompletion(TernaryTreeNode root, CharSequence s, int x)`
  Auto-completes a given prefix query using Depth-First Search with the end of prefix as source node each time finding a new leaf to get a complete key to be added in the suggest list.
  Methods in org.apache.lucene.search.suggest.tst with parameters of type TernaryTreeNode
  Modifier and Type
  Method
  Description
  `void`
  TSTAutocomplete.`balancedTree(Object[] tokens, Object[] vals, int lo, int hi, TernaryTreeNode root)`
  Inserting keys in TST in the order middle,small,big (lexicographic measure) recursively creates a balanced tree which reduces insertion and search times significantly.
  `TernaryTreeNode`
  TSTAutocomplete.`insert(TernaryTreeNode currentNode, CharSequence s, Object val, int x)`
  Inserts a key in TST creating a series of Binary Search Trees at each node.
  `ArrayList<TernaryTreeNode>`
  TSTAutocomplete.`prefixCompletion(TernaryTreeNode root, CharSequence s, int x)`
  Auto-completes a given prefix query using Depth-First Search with the end of prefix as source node each time finding a new leaf to get a complete key to be added in the suggest list.